Bug 1021756 - (CVE-2013-4452) CVE-2013-4452 JBoss ON: World readable configuration files expose sensitive data
CVE-2013-4452 JBoss ON: World readable configuration files expose sensitive data
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 1021759 1024526 1025565 1025566
Blocks: 1021758
  Show dependency treegraph
Reported: 2013-10-21 22:23 EDT by Arun Babu Neelicattu
Modified: 2015-02-15 16:52 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-25 16:20:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arun Babu Neelicattu 2013-10-21 22:23:57 EDT
It was identified that the JBoss Operation Network configuration files, for both the server and the agent, were world readable by default. A malicious local user can read sensitive information regarding the installation, which includes various credentials.
Comment 4 Martin Prpič 2013-11-22 05:33:24 EST

This issue was discovered by Larry O'Leary of the Red Hat Middleware Support Engineering Group.
Comment 5 errata-xmlrpc 2013-11-25 13:52:20 EST
This issue has been addressed in following products:

   JBoss Operations Network 3.1.2

Via RHSA-2013:1762 https://rhn.redhat.com/errata/RHSA-2013-1762.html

Note You need to log in before you can comment on or make changes to this bug.